#Sean Feole 2012
# Version 1.0
# Search for a user via /ldab <first> or <last> name, Complete name is not necessary
# Must use in conjunctuion with ldap.py

__module_name__ = "Seans Xchat Directory Plugin"
__module_version__ = "1.0"
__module_description__ = "Display Company Directory by issuing /ldap <first> or <last> name"


import xchat
import subprocess
import os

def ldapq(word, word_eol, userdata):
    print "Searching For: %s" % word_eol[1]

    pwd = os.getenv("HOME")
    fileloca = "%s/lquery.py" % (pwd)

    subprocess.Popen(['python', fileloca, '-s', '%s' % (word_eol[1])], universal_newlines=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    

def main():
    print "Loading Ldap Module"
    print ("\nPlease use /ldaphelp for usage:")
        
    xchat.hook_command('ldap', ldapq, help="/ldap <name> Search Directory for desired name")
    #xchat.hook_command('ldaphelp', helpmenu, help="/ldaphelp Displays Ldap Help Menu")

if __name__ == "__main__":
    main()
